/**************************************
 * $Author: kaneda $
 * $Date: 2002/11/21 10:32:38 $
 **************************************/

/* env.h */

#ifndef __PH_ENV_H__
#define __PH_ENV_H__

#include "ph_util.h"
#include "ph_pt2pt.h"



/* Structures */


/* ph_env_t is ...
 *
 * It is similar to MPI_COMMUNICATOR.
 */
struct ph_env {
  ph_pt2pt_t pt2pt;
};

typedef struct ph_env	* ph_env_t;


/* Public Function Prototypes */
ph_env_t ph_env_new(int listen_port_lower, int listen_port_upper);
void ph_env_dispose(ph_env_t env);
void ph_env_print(ph_env_t env);

#endif

