/**************************************
_ * $Author: kaneda $
 * $Date: 2002/11/21 10:33:41 $
 **************************************/

/* env.h */

#include "ph_env.h"


ph_env_t ph_env_new(int listen_port_lower, int listen_port_upper) {
 ph_env_t env;
 
 env = (ph_env_t)ph_malloc(sizeof(struct ph_env));
 env->pt2pt = ph_pt2pt_new(listen_port_lower, listen_port_upper);

 return env;
}


void ph_env_dispose(ph_env_t env) {
  if (env == NULL) {
    ph_err_msg("ph_env_dispose() : env is NULL.");
    return;
  }

  ph_pt2pt_dispose(env->pt2pt); 
  ph_free(env);
}


void ph_env_print(ph_env_t env) {
  assert(env != NULL);
  ph_pt2pt_print(env->pt2pt);
}
